Page MenuHomePhabricator

Avoid red links to existing DefinedMeaning pages with non-canonical "Expression" parts.
Closed, ResolvedPublic

Description

Definedmeaning page names are structured "DefinedMeaning:expression_(ID)" where ID is a positive integer numeric id that must be matched in the database (else the page name is erroneous) and the expression part is an arbitrary string which will be replaced by a canonical one via an URL redirect when a page of an existing DM is rendered.

Links and redirects to DM pages are red links when expression does not match the canonical expression for ID. That means, when following the link, you get the right page but it in edit mode. Both the red links and the edit mode are undesirable.

Event Timeline

Purodha raised the priority of this task from to Needs Triage.
Purodha updated the task description. (Show Details)
Purodha added a subscriber: Purodha.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 7 2015, 2:56 AM

Change 251735 had a related patch set uploaded (by Hiong3-eng5):
DM redlinks solutions

https://gerrit.wikimedia.org/r/251735

Purodha triaged this task as Medium priority.Nov 9 2015, 12:33 AM
Purodha set Security to None.
Aklapper renamed this task from Avoid red links to existing DefinedMeaning pages with non-canonical "Expession" parts. to Avoid red links to existing DefinedMeaning pages with non-canonical "Expression" parts..Nov 9 2015, 6:51 AM

Change 251735 merged by Kipcool:
DM redlinks solutions (page rendering only)

https://gerrit.wikimedia.org/r/251735

Purodha closed this task as Resolved.Nov 21 2015, 12:36 AM